package Get_conf;
#
#

use strict;



sub open
{
  my ($pkg) = @_;
  my %conf = $pkg->get_conf();
  return (bless{conf=>\%conf}, $pkg);
}

sub get_conf
{
    CORE::open (F, 'doctaur.conf');
    my @lines = <F>;
    close F;

    my %return;
    
    foreach my $line (@lines)
    {
        $_=' ';s/(\s)//;        
        $line =~ s/^\s*([^=\s]*)\s*=\s*//;
        my $key = $1;
        $line =~ s/\s*$//;
        $return{$key}=$line;
    }

    $return{'first_part_url'}=$return{'url_complet'}.'/dtdocs';
    $return{'dtdocs_path'} = $return{'prefix_dir'}.'/dtdocs';

    return %return;
}

sub set_conf
{
    my ($obj, $key, $value) = @_;

    $obj->{conf}->{$key} = $value;

    CORE::open (F, 'doctaur.conf');
    my @lines = <F>;
    close F;

    CORE::open (F, '>doctaur.conf');
    
    my $writed = 0;
    foreach my $line (@lines)
    {
        $line =~ s/\n//m ;
        my $temp_value = $line;
        $_=' ';s/(\s)//;        
        $temp_value =~ s/^\s*([^=\s]*)\s*=\s*//;
        my $temp_key = $1;
        $temp_value =~ s/\s*$//;
        
        if ($key eq $temp_key)
        {
            $line = "$key = $value";
            $writed = '1';
        }
        print F "$line\n";
    }
    if (!$writed)
    {
        print F "$key = $value\n";
    }
    CORE::close F;
}

sub get
{
  my ($obj, $key) = @_;
  return $obj->{conf}->{$key};
}

1;
